- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Lists message pins in a space. Users can pin important messages in spaces for easy access. For more information, see Pin or unpin a conversation in Google Chat.
Requires user authentication with one of the following authorization scopes:
https://www.googleapis.com/auth/chat.spaces.pins.readonlyhttps://www.googleapis.com/auth/chat.spaces.pinshttps://www.googleapis.com/auth/chat.spaces.readonlyhttps://www.googleapis.com/auth/chat.spaces
HTTP request
GET https://chat.googleapis.com/v1/{parent=spaces/*}/messagePins
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent space which owns the collection of pinned items Format: |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of message pins returned. The service might return fewer messages than this value. The maximum value is 100. If you use a value more than 100, it's automatically changed to 100. If unspecified, at most 100 message pins will be returned. Negative values return an |
pageToken |
Optional. A page token received from a previous list message pins call. Provide this parameter to retrieve the subsequent page. When paginating, all other parameters provided should match the call that provided the page token. Passing different values to the other parameters might lead to unexpected results. |
Request body
The request body must be empty.
Response body
Response message for listing message pins.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"messagePins": [
{
object ( |
| Fields | |
|---|---|
messagePins[] |
The pinned messages from the specified space. |
nextPageToken |
You can send a token as |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/chat.spaces.pinshttps://www.googleapis.com/auth/chat.spaces.pins.readonlyhttps://www.googleapis.com/auth/chat.spaceshttps://www.googleapis.com/auth/chat.spaces.readonly
For more information, see the Authorization guide.